Create Cross-border Entry Payment

🚧

Beta. Cross-border entry is a beta feature. It is enabled per account. To activate it, contact us.

Delivers in EUR to a SEPA IBAN a payment that originated outside SEPA. Available from API version 202611. Cross-border entry is enabled per company: contact us to activate it. In production this endpoint returns 404 until it is enabled for your company.

Supports the X-Devengo-Idempotency-Key header. vop_id is not accepted.

original_amount and exchange_rate are informational. Devengo always processes amount, in EUR.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

ID of the EUR account that funds the payment. It must be enabled for cross-border entry payments.

string

Any piece of information provided to identify this payment. This is usually an ID on external systems related to the entity (an invoice, an order) that originates the payment. If the structure of data you want to attach is more complex than a string please use the metadata attribute.

string
required

Text shown in the recipient's account statement. There are up to 140 characters allowed.

string

Legal name of the recipient. Required unless counterparty_id is provided. If provided, counterparty_id must not be passed.

destination
object

Recipient's account. Required unless counterparty_id is provided. Only type iban, with a SEPA IBAN.

string

ID of an existing counterparty with a SEPA IBAN. If provided, recipient and destination must not be passed.

amount
object
required

Amount to deliver. currency must be EUR.

metadata
object

Set of key-value pairs to store in the created Payment. This data will be included in the payload of any subsequent API call and Webhook that returns this object.

string
required

UETR (Unique End-to-end Transaction Reference) of the original international payment, usually assigned by the sending bank or network (for example, SWIFT gpi). UUID v4 in lowercase. Must be unique within your company. See Cross-border entry.

string
required

When the sender was debited outside SEPA. ISO 8601 date-time. Can't be in the future.

sender
object
required

Person or company that ordered the original payment.

original_amount
object

Amount of the original payment before conversion to EUR. Informational. Same shape as amount, with the original currency.

string

Exchange rate applied to the original payment, as a decimal string. Informational. Required when original_amount.currency is not EUR.

Headers
string

e.g. tst_apk_53ZrBeMcg3VRtiITAZhgz5

string

e.g. f04bc3ba6455738e7ece32c1c25bac8b

string

e.g. 1584230400

string

e.g. 8PuVvB84Gc60V7dwZx305BpNUHejy6/3ZlPQcIm2s9g=

Responses

409

The uetr was already used in another payment of your company (uetr_already_used).

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8